VERSION 5.00
Object = "{7838B6E7-11F2-11D2-BBBD-0055003B26DE}#1.0#0"; "ccrpDrg.ocx"
Begin VB.Form frmDragDemo1 
   Caption         =   "DragList Testbed"
   ClientHeight    =   3915
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5760
   Icon            =   "DragDemo1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3915
   ScaleWidth      =   5760
   StartUpPosition =   3  'Windows Default
   Begin ccrpDragListbox.ccrpDragList ccrpDragList1 
      Height          =   2775
      Left            =   240
      TabIndex        =   11
      Top             =   180
      Width           =   3435
      _ExtentX        =   6059
      _ExtentY        =   4895
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   375
      Left            =   3900
      TabIndex        =   10
      Top             =   3360
      Width           =   1695
   End
   Begin VB.CommandButton cmdAbout 
      Caption         =   "&About DragList"
      Height          =   375
      Left            =   3900
      TabIndex        =   9
      Top             =   2580
      Width           =   1695
   End
   Begin VB.TextBox txtFillList 
      Height          =   375
      Left            =   3900
      TabIndex        =   7
      Text            =   "txtFillList"
      Top             =   1980
      Width           =   795
   End
   Begin VB.CommandButton cmdFillList 
      Caption         =   "&Refill"
      Height          =   375
      Left            =   4800
      TabIndex        =   8
      Top             =   1980
      Width           =   795
   End
   Begin VB.CommandButton cmdDump 
      Caption         =   "Dump &Contents"
      Height          =   375
      Left            =   3900
      TabIndex        =   5
      Top             =   1140
      Width           =   1695
   End
   Begin VB.CommandButton cmdUndo 
      Caption         =   "&Undo Last Move"
      Height          =   375
      Left            =   3900
      TabIndex        =   4
      Top             =   660
      Width           =   1695
   End
   Begin VB.CheckBox chkDraw 
      Caption         =   "ContainerDraw"
      Height          =   255
      Left            =   3900
      TabIndex        =   3
      Top             =   180
      Width           =   1635
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "&Search"
      Height          =   375
      Left            =   2880
      TabIndex        =   2
      Top             =   3360
      Width           =   795
   End
   Begin VB.TextBox txtFind 
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Text            =   "txtFind"
      Top             =   3360
      Width           =   2535
   End
   Begin VB.Label lblFillList 
      AutoSize        =   -1  'True
      Caption         =   "How Many List&Items:"
      Height          =   195
      Left            =   3900
      TabIndex        =   6
      Top             =   1740
      Width           =   1470
   End
   Begin VB.Label lblFind 
      AutoSize        =   -1  'True
      Caption         =   "&Find item starting with:"
      Height          =   195
      Left            =   240
      TabIndex        =   0
      Top             =   3120
      Width           =   1560
   End
End
Attribute VB_Name = "frmDragDemo1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub ccrpDragList1_ItemDragBegin(ByVal Index As Integer, Cancel As Boolean)
   'Cancel = True
   'Debug.Print "ItemDragBegin: " & Index
End Sub

Private Sub ccrpDragList1_ItemDragCancel()
   Debug.Print "ItemDragCancel"
   Me.Caption = App.Title
End Sub

Private Sub ccrpDragList1_ItemDragEnd(ByVal IndexNew As Integer, ByVal IndexOld As Integer)
   Debug.Print "ItemDragEnd: " & IndexOld & " --> " & IndexNew
   ccrpDragList1.DragBackColor = vb3DFace
   Me.Caption = App.Title
End Sub

Private Sub ccrpDragList1_ItemDragging(ByVal IndexNew As Integer, ByVal IndexOld As Integer)
   '
   ' Highlight area where drag arrow is drawn
   '
   With ccrpDragList1
      If .DragBackColor <> vb3DHighlight Then
         .DragBackColor = vb3DHighlight
      End If
   End With
   '
   ' Update caption to indicate where we're dragging
   '
   If (IndexNew <> -1) And (IndexNew <> IndexOld) Then
      Me.Caption = "Item " & IndexOld & " will drop at index " & IndexNew & "."
   Else
      Me.Caption = "Item " & IndexOld & " will not be relocated."
   End If
End Sub

Private Sub ccrpDragList1_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
   Debug.Print Data.Files
End Sub

Private Sub chkDraw_Click()
   ccrpDragList1.ContainerDraw = CBool(chkDraw.Value)
End Sub

Private Sub cmdAbout_Click()
   ccrpDragList1.About
End Sub

Private Sub cmdDump_Click()
   Dim v As Variant, i As Integer
   v = ccrpDragList1.Contents
   For i = LBound(v) To UBound(v)
      Debug.Print v(i)
   Next i
End Sub

Private Sub cmdExit_Click()
   Unload Me
End Sub

Private Sub cmdFillList_Click()
   Dim itms() As String
   Dim i As Long, n As Integer
   
   ' Determine how many items
   On Error GoTo Bailout
   n = Abs(Val(txtFillList.Text))
   On Error GoTo 0
   
   ' Slam an array into the list!
   ReDim itms(1 To n) As String
   For i = LBound(itms) To UBound(itms)
      itms(i) = i & ": Some item text..."
   Next i
   ccrpDragList1.Contents = CVar(itms)
Bailout:
End Sub

Private Sub cmdFind_Click()
   Call ccrpDragList1.FindItem(txtFind.Text, ccrpDragList1.ListIndex, True)
   txtFind.SetFocus
End Sub

Private Sub cmdUndo_Click()
   If ccrpDragList1.CanUndo Then
      ccrpDragList1.Undo True
   Else
      Beep
   End If
End Sub

Private Sub Form_Load()
   chkDraw.Value = Abs(ccrpDragList1.ContainerDraw)
   App.Title = Me.Caption
   txtFind.Text = ""
   txtFillList.Text = "30"
   Call cmdFillList_Click
End Sub

Private Sub txtFillList_KeyPress(KeyAscii As Integer)
   If KeyAscii = 13 Then
      Call cmdFillList_Click
      KeyAscii = 0
   End If
End Sub

Private Sub txtFind_GotFocus()
   txtFind.SelStart = 0
   txtFind.SelLength = Len(txtFind.Text)
End Sub

Private Sub txtFind_KeyPress(KeyAscii As Integer)
   If KeyAscii = 13 Then
      Call cmdFind_Click
      KeyAscii = 0
   End If
End Sub
